Package org.jfree.layouting.layouter.style.resolver

## Class SimpleStyleRuleMatcher

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.SimpleStyleRuleMatcher

- All Implemented Interfaces:
    `StyleRuleMatcher`

      public class SimpleStyleRuleMatcher
      extends java.lang.Object
      implements StyleRuleMatcher

  A stateless implementation of the style rule matching. This implementation is stateless within the current layout process.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleStyleRuleMatcher​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleRuleMatcher` | `deriveInstance​()` | Creates an independent copy of this style rule matcher.
    `CSSStyleRule[]` | `getMatchingRules​(LayoutElement element)` |
    `CSSPageRule[]` | `getPageRule​(CSSValue pageName, PseudoPage[] pseudoPages)` |
    `void` | `initialize​(LayoutProcess layoutProcess)` |
    `boolean` | `isMatchingPseudoElement​(LayoutElement element, java.lang.String pseudo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStyleRuleMatcher

          public SimpleStyleRuleMatcher​()

  - ### Method Detail

    - #### initialize

          public void initialize​(LayoutProcess layoutProcess)

      Specified by:
        `initialize` in interface `StyleRuleMatcher`

    - #### isMatchingPseudoElement

          public boolean isMatchingPseudoElement​(LayoutElement element,
                                                 java.lang.String pseudo)

      Specified by:
        `isMatchingPseudoElement` in interface `StyleRuleMatcher`

    - #### deriveInstance

          public StyleRuleMatcher deriveInstance​()

      Creates an independent copy of this style rule matcher.
      Specified by:
        `deriveInstance` in interface `StyleRuleMatcher`
      Returns:
        this instance, as this implementation is stateless

    - #### getMatchingRules

          public CSSStyleRule[] getMatchingRules​(LayoutElement element)

      Specified by:
        `getMatchingRules` in interface `StyleRuleMatcher`

    - #### getPageRule

          public CSSPageRule[] getPageRule​(CSSValue pageName,
                                           PseudoPage[] pseudoPages)

      Specified by:
        `getPageRule` in interface `StyleRuleMatcher`